Bug 593162 - Fail to save guest with manually setting a static security label
Fail to save guest with manually setting a static security label
Status: CLOSED DUPLICATE of bug 588562
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Veillard
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-17 22:39 EDT by Johnny Liu
Modified: 2010-06-08 08:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-08 08:21:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2010-05-17 22:39:50 EDT
Description of problem:
When trying to save a guest with manually setting a static security label, the following error is seen:
error: Failed to save domain demo to /tmp/dd.save
error: operation failed: Migration unexpectedly failed


Version-Release number of selected component (if applicable):
libvirt-0.8.1-4.el6.x86_64
qemu-kvm-0.12.1.2-2.53.el6.x86_64
# uname -a
Linux dhcp-66-70-178.nay.redhat.com 2.6.32-25.el6.x86_64 #1 SMP Mon May 10 17:30:22 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux
# rpm -qa|grep selinux
libselinux-utils-2.0.90-3.el6.x86_64
libselinux-python-2.0.90-3.el6.x86_64
selinux-policy-3.7.19-15.el6.noarch
libselinux-2.0.90-3.el6.x86_64
selinux-policy-targeted-3.7.19-15.el6.noarch


How reproducible:
Always

Steps to Reproduce:
1. Install a refresh os with RHEL6.0-20100512 nightly build, and Selinux is enforcing
# getenforce 
Enforcing
2. Manually set a static security label for guest:
# virsh dumpxml demo
...
  <seclabel type='static' model='selinux'>
    <label>system_u:system_r:svirt_t:s0:c100,c200</label>
  </seclabel>
...
3. Chang context of the guest image:
# chcon system_u:object_r:svirt_image_t:s0:c100,c200 /var/lib/libvirt/images/demo.img
  
4. Start the guest.
# virsh start demo
5. Save the guest.
# virsh save demo /tmp/dd.save

Actual results:
Fail to save the guest, the following error is thrown:
# virsh save demo /tmp/dd.save
error: Failed to save domain demo to /tmp/dd.save
error: operation failed: Migration unexpectedly failed


Expected results:
Save the guest successfully.

Additional info:
Comment 2 RHEL Product and Program Management 2010-06-07 12:00:12 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Daniel Berrange 2010-06-08 08:21:14 EDT
This is already fixed in 0.8.1-5.el6 as per bug 588562

*** This bug has been marked as a duplicate of bug 588562 ***

Note You need to log in before you can comment on or make changes to this bug.